Notifly
API ReferenceTopics

Delete a topic

Delete a topic by its unique key identifier **topicKey**. This action is irreversible and will remove all subscriptions to the topic.

DELETE
/v2/topics/{topicKey}

Delete a topic by its unique key identifier topicKey. This action is irreversible and will remove all subscriptions to the topic.

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Path Parameters

topicKey*string

The key identifier of the topic

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v2/topics/string"
{  "data": {    "acknowledged": true  }}